<?php
session_start();
if(strpos(strtolower($_SERVER['REQUEST_URI']), 'phpsessid') !== false)
{
  session_destroy();
  session_regenerate_id();
  session_start();
                              
}
include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/slugfy.php";


$id= $_POST['id'];
$uf= trim($_POST['uf']);
$cidade= trim($_POST['cidade']);
$bairro= trim($_POST['bairro']);


$telefone= trim($_POST['telefone']);
$endereco= trim(filter_input(INPUT_POST, 'endereco', FILTER_SANITIZE_SPECIAL_CHARS)); 
$empresa= trim(filter_input(INPUT_POST, 'empresa', FILTER_SANITIZE_SPECIAL_CHARS));

if($telefone!="" &&  $endereco!=""  && $empresa!="" && $uf!="" && $cidade!="" && $bairro!=""){

$slug1 = trim($_POST['slug']);
$slug = slugfyURL($empresa);


if($slug1!=$slug){ 



		mysql_query("DELETE FROM slugtemp WHERE id_emp='$id'");


mysql_query("INSERT INTO slugtemp SET id_emp='$id', velho='$slug1', novo='$slug', data_cad=now()");


}




mysql_query("UPDATE empresas SET slug = '$slug',
id_uf = '$uf',
id_cidade = '$cidade',
id_bairro = '$bairro',
telefone = '$telefone',
empresa = '$empresa',
endereco = '$endereco'
WHERE id = '$id'", $con) or die(mysql_error('x'));


echo 1;


} else{

	echo 2;
}

